org.jfree.chart

## Class LegendItemCollection

- java.lang.Object
- - org.jfree.chart.LegendItemCollection

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable

      public class LegendItemCollection
      extends java.lang.Object
      implements java.lang.Cloneable, java.io.Serializable

  A collection of legend items.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LegendItemCollection()` Constructs a new legend item collection, initially empty.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(LegendItem item)` Adds a legend item to the collection.
    `void` | `addAll(LegendItemCollection collection)` Adds the legend items from another collection to this collection.
    `java.lang.Object` | `clone()` Returns a clone of the collection.
    `boolean` | `equals(java.lang.Object obj)` Tests this collection for equality with an arbitrary object.
    `LegendItem` | `get(int index)` Returns a legend item from the collection.
    `int` | `getItemCount()` Returns the number of legend items in the collection.
    `java.util.Iterator` | `iterator()` Returns an iterator that provides access to all the legend items.

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LegendItemCollection

          public LegendItemCollection()

      Constructs a new legend item collection, initially empty.

  - ### Method Detail

    - #### add

          public void add(LegendItem item)

      Adds a legend item to the collection.
      Parameters:
        `item` - the item to add.

    - #### addAll

          public void addAll(LegendItemCollection collection)

      Adds the legend items from another collection to this collection.
      Parameters:
        `collection` - the other collection (`null` not permitted).

    - #### get

          public LegendItem get(int index)

      Returns a legend item from the collection.
      Parameters:
        `index` - the legend item index (zero-based).
      Returns:
        The legend item.

    - #### getItemCount

          public int getItemCount()

      Returns the number of legend items in the collection.
      Returns:
        The item count.

    - #### iterator

          public java.util.Iterator iterator()

      Returns an iterator that provides access to all the legend items.
      Returns:
        An iterator.

    - #### equals

          public boolean equals(java.lang.Object obj)

      Tests this collection for equality with an arbitrary object.
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `obj` - the object (`null` permitted).
      Returns:
        A boolean.

    - #### clone

          public java.lang.Object clone()
                                 throws java.lang.CloneNotSupportedException

      Returns a clone of the collection.
      Overrides:
        `clone` in class `java.lang.Object`
      Returns:
        A clone.
      Throws:
        `java.lang.CloneNotSupportedException` - if an item in the collection is not cloneable.